#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0);

    int n,m;
    cin >> n >> m;
    vector<int> d(n), u(n);
    for(int i=0; i<n; i++){
        cin >> d[i] >> u[i];
    }
    for(int i=0; i<m; i++){
        int l,r,x;
        cin >> l >> r >> x;
        int br=0;
        for(int i=l; i<=r; i++)
            if(d[i]<=x && u[i]>=x)
                br++;
        cout << br << '\n';
    }
}